Bug 108772 - gaim buildreqs are missing glib2-devel and gtk2-devel
gaim buildreqs are missing glib2-devel and gtk2-devel
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Depends On:
  Show dependency treegraph
Reported: 2003-11-01 13:28 EST by Jesse Keating
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-03 13:32:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to the spec file to include all needed build-reqs. (471 bytes, patch)
2003-11-01 13:29 EST, Jesse Keating
no flags Details | Diff

  None (edit)
Description Jesse Keating 2003-11-01 13:28:36 EST
Description of problem:
The spec file for gaim is missing glib2-devel and gtk2-devel.  This
causes the build to fail even though rpm would start it.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. download gaim.src.rpm
2. remove glib2-devel and gtk2-devel
3. rpmbuild -ba gaim.src.rpm, install all listed buildreqs.
Actual results:
rpm will start the build, but the build will fail during the
configuration stage, missing glib2 and gtk2

Expected results:
since all buildreqs were met, the build should finish.

I will attach a patch to the current spec file.  Trivial but hey,
every little bit counts.
Comment 1 Jesse Keating 2003-11-01 13:29:24 EST
Created attachment 95650 [details]
Patch to the spec file to include all needed build-reqs.
Comment 2 Jesse Keating 2003-11-01 15:26:55 EST
Seems to also be missing "mozilla-nspr-devel".  Without that the msn
plugin will not load.  No ssl support for gaim.
Comment 3 Christopher Blizzard 2003-11-03 13:32:43 EST
You probably have an older Mozilla version.  mozilla-nss-devel should
pull in mozilla-nspr-devel.  Also, I've included the requires line for
gtk2-devel but not glib2-devel since gtk2-devel already requires
glib2-devel.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.